Index: branches/HTM-14.1-update-dev0/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/HTM-14.1-update-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1199)
+++ branches/HTM-14.1-update-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1200)
@@ -2509,33 +3572,37 @@
     }
 #endif
-  }
-  printf("Max Num Merge Candidates     : %d\n", m_maxNumMergeCand);
-#if H_3D
-  printf("BaseViewCameraNumbers        : %s\n", m_pchBaseViewCameraNumbers ); 
-  printf("Coded Camera Param. Precision: %d\n", m_iCodedCamParPrecision);
-#if H_3D_VSO
-  printf("Force use of Lambda Scale    : %d\n", m_bForceLambdaScaleVSO );
+
+  }
+
+  printf("Max Num Merge Candidates          : %d\n", m_maxNumMergeCand);
+#if NH_3D
+  printf("BaseViewCameraNumbers             : %s\n", m_pchBaseViewCameraNumbers ); 
+  printf("Coded Camera Param. Precision     : %d\n", m_iCodedCamParPrecision);
+#if NH_3D_VSO
+  printf("Force use of Lambda Scale         : %d\n", m_bForceLambdaScaleVSO );
 
   if ( m_bUseVSO )
   {    
-    printf("VSO Lambda Scale             : %5.2f\n", m_dLambdaScaleVSO );
-    printf("VSO Mode                     : %d\n",    m_uiVSOMode       );
-    printf("VSO Config                   : %s\n",    m_pchVSOConfig    );
-    printf("VSO Negative Distortion      : %d\n",    m_bAllowNegDist ? 1 : 0);
-    printf("VSO LS Table                 : %d\n",    m_bVSOLSTable ? 1 : 0);
-    printf("VSO Estimated VSD            : %d\n",    m_bUseEstimatedVSD ? 1 : 0);
-    printf("VSO Early Skip               : %d\n",    m_bVSOEarlySkip ? 1 : 0);   
+    printf("VSO Lambda Scale                  : %5.2f\n", m_dLambdaScaleVSO );
+    printf("VSO Mode                          : %d\n",    m_uiVSOMode       );
+    printf("VSO Config                        : %s\n",    m_pchVSOConfig    );
+    printf("VSO Negative Distortion           : %d\n",    m_bAllowNegDist ? 1 : 0);
+    printf("VSO LS Table                      : %d\n",    m_bVSOLSTable ? 1 : 0);
+    printf("VSO Estimated VSD                 : %d\n",    m_bUseEstimatedVSD ? 1 : 0);
+    printf("VSO Early Skip                    : %d\n",    m_bVSOEarlySkip ? 1 : 0);   
     if ( m_bUseWVSO )
-    printf("Dist. Weights (VSO/VSD/SAD)  : %d/%d/%d\n ", m_iVSOWeight, m_iVSDWeight, m_iDWeight );
+    {
+      printf("Dist. Weights (VSO/VSD/SAD)       : %d/%d/%d\n ", m_iVSOWeight, m_iVSDWeight, m_iDWeight );    
+    }    
   }
 #endif //HHI_VSO
 #endif //H_3D
   printf("\n");
-#if H_MV
+#if NH_MV
   printf("TOOL CFG General: ");
 #else
   printf("TOOL CFG: ");
 #endif
-  printf("IBD:%d ", g_bitDepthY > m_inputBitDepthY || g_bitDepthC > m_inputBitDepthC);
+  printf("IBD:%d ", ((m_internalBitDepth[CHANNEL_TYPE_LUMA] > m_MSBExtendedBitDepth[CHANNEL_TYPE_LUMA]) || (m_internalBitDepth[CHANNEL_TYPE_CHROMA] > m_MSBExtendedBitDepth[CHANNEL_TYPE_CHROMA])));
   printf("HAD:%d ", m_bUseHADME           );
   printf("RDQ:%d ", m_useRDOQ            );
@@ -2552,22 +3619,24 @@
   printf("TransformSkip:%d ",     m_useTransformSkip              );
   printf("TransformSkipFast:%d ", m_useTransformSkipFast       );
+  printf("TransformSkipLog2MaxSize:%d ", m_log2MaxTransformSkipBlockSize);
   printf("Slice: M=%d ", m_sliceMode);
-  if (m_sliceMode!=0)
+  if (m_sliceMode!=NO_SLICES)
   {
     printf("A=%d ", m_sliceArgument);
   }
   printf("SliceSegment: M=%d ",m_sliceSegmentMode);
-  if (m_sliceSegmentMode!=0)
+  if (m_sliceSegmentMode!=NO_SLICES)
   {
     printf("A=%d ", m_sliceSegmentArgument);
   }
   printf("CIP:%d ", m_bUseConstrainedIntraPred);
-#if !H_MV
+#if !NH_MV
   printf("SAO:%d ", (m_bUseSAO)?(1):(0));
 #endif
   printf("PCM:%d ", (m_usePCM && (1<<m_uiPCMLog2MinSize) <= m_uiMaxCUWidth)? 1 : 0);
+
   if (m_TransquantBypassEnableFlag && m_CUTransquantBypassFlagForce)
   {
-    printf("TransQuantBypassEnabled: =1 ");
+    printf("TransQuantBypassEnabled: =1");
   }
   else
@@ -2575,22 +3644,24 @@
     printf("TransQuantBypassEnabled:%d ", (m_TransquantBypassEnableFlag)? 1:0 );
   }
+
   printf("WPP:%d ", (Int)m_useWeightedPred);
   printf("WPB:%d ", (Int)m_useWeightedBiPred);
   printf("PME:%d ", m_log2ParallelMergeLevel);
+  const Int iWaveFrontSubstreams = m_iWaveFrontSynchro ? (m_iSourceHeight + m_uiMaxCUHeight - 1) / m_uiMaxCUHeight : 1;
   printf(" WaveFrontSynchro:%d WaveFrontSubstreams:%d",
-          m_iWaveFrontSynchro, m_iWaveFrontSubstreams);
+          m_iWaveFrontSynchro, iWaveFrontSubstreams);
   printf(" ScalingList:%d ", m_useScalingListId );
   printf("TMVPMode:%d ", m_TMVPModeId     );
 #if ADAPTIVE_QP_SELECTION
-  printf("AQpS:%d ", m_bUseAdaptQpSelect   );
+  printf("AQpS:%d", m_bUseAdaptQpSelect   );
 #endif
 
   printf(" SignBitHidingFlag:%d ", m_signHideFlag);
-  printf("RecalQP:%d ", m_recalculateQPAccordingToLambda ? 1 : 0 );
-#if H_3D_VSO
-  printf("VSO:%d ", m_bUseVSO   );
+  printf("RecalQP:%d", m_recalculateQPAccordingToLambda ? 1 : 0 );
+#if NH_3D_VSO
+  printf(" VSO:%d ", m_bUseVSO   );
   printf("WVSO:%d ", m_bUseWVSO );  
 #endif
-#if H_3D
+#if NH_3D
   printf( "QTL:%d "                  , m_bUseQTL);
   printf( "IlluCompEnable:%d "       , m_abUseIC);
@@ -2617,5 +3688,5 @@
 #endif
 
-  printf("\n\n");  
+  printf("\n\n");
 
   fflush(stdout);
@@ -2625,6 +3696,8 @@
 {
   if (!bflag)
+  {
     return false;
-  
+  }
+
   printf("Error: %s\n",message);
   return true;
